API ReferenceRecordings
/public/recordings
List pre-recorded videos across all companions in the project
List pre-recorded videos across all companions in the project
Query Parameters
provider?string
Value in
"openAi" | "elevenLabs"voiceId?string
companionId?string
search?string
tags?
pageIndex?integer
Format
int32pageSize?integer
Format
int32Header Parameters
X-API-Version?string
Response Body
application/problem+json
application/json
application/json
curl -X GET "https://companion-api.napster.com/public/recordings"{
"items": [
{
"id": "string",
"provider": "openAi",
"voiceId": "string",
"previewUrl": "string",
"status": "pending",
"createdAt": 0,
"updatedAt": 0,
"tags": {
"property1": "string",
"property2": "string"
},
"companion": {
"id": "string",
"firstName": "string",
"lastName": "string"
}
}
],
"filteredCount": 0,
"totalCount": 0,
"pageIndex": 0,
"pageSize": 0,
"search": "string"
}[
{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}
]{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}